## org.apache.poi.ddf
Class EscherChildAnchorRecord

    java.lang.Object
      org.apache.poi.ddf.EscherRecord
          org.apache.poi.ddf.EscherChildAnchorRecord

public class EscherChildAnchorRecord
extends EscherRecord

The escher child achor record is used to specify the position of a shape under an existing group. The first level of shape records use a EscherClientAnchor record instead.

Author:
  Glen Stampoultzis
See Also:
  `EscherChildAnchorRecord`

Field Summary
`static java.lang.String` `RECORD_DESCRIPTION`
`static short` `RECORD_ID`

Constructor Summary
`EscherChildAnchorRecord()`

Method Summary
`int` `fillFields(byte[] data, int offset, EscherRecordFactory recordFactory)` This method deserializes the record from a byte array.
`int` `getDx1()` Retrieves offset within the parent coordinate space for the top left point.
`int` `getDx2()` Retrieves offset within the parent coordinate space for the bottom right point.
`int` `getDy1()` Gets offset within the parent coordinate space for the top left point.
`int` `getDy2()` Gets the offset within the parent coordinate space for the bottom right point.
`short` `getRecordId()` The record id for the EscherChildAnchorRecord.
`java.lang.String` `getRecordName()` The short name for this record
`int` `getRecordSize()` Returns the number of bytes that are required to serialize this record.
`int` `serialize(int offset, byte[] data, EscherSerializationListener listener)` This method serializes this escher record into a byte array.
`void` `setDx1(int field_1_dx1)` Sets offset within the parent coordinate space for the top left point.
`void` `setDx2(int field_3_dx2)` Sets offset within the parent coordinate space for the bottom right point.
`void` `setDy1(int field_2_dy1)` Sets offset within the parent coordinate space for the top left point.
`void` `setDy2(int field_4_dy2)` Sets the offset within the parent coordinate space for the bottom right point.
`java.lang.String` `toString()` The string representation of this record

Methods inherited from class org.apache.poi.ddf.EscherRecord
`clone, display, fillFields, getChild, getChildRecords, getInstance, getOptions, isContainerRecord, readHeader, serialize, serialize, setChildRecords, setOptions, setRecordId`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### RECORD_ID

    public static final short RECORD_ID

See Also:
  Constant Field Values

### RECORD_DESCRIPTION

    public static final java.lang.String RECORD_DESCRIPTION

See Also:
  Constant Field Values

Constructor Detail

### EscherChildAnchorRecord

    public EscherChildAnchorRecord()

Method Detail

### fillFields

    public int fillFields(byte[] data,
                          int offset,
                          EscherRecordFactory recordFactory)

  This method deserializes the record from a byte array.

  Specified by:
    `fillFields` in class `EscherRecord`
  Parameters:
    `data` - The byte array containing the escher record information
    `offset` - The starting offset into `data`.
    `recordFactory` - May be null since this is not a container record.
  Returns:
    The number of bytes read from the byte array.

### serialize

    public int serialize(int offset,
                         byte[] data,
                         EscherSerializationListener listener)

  This method serializes this escher record into a byte array.

  Specified by:
    `serialize` in class `EscherRecord`
  Parameters:
    `offset` - The offset into `data` to start writing the record data to.
    `data` - The byte array to serialize to.
    `listener` - A listener to retrieve start and end callbacks. Use a `NullEscherSerailizationListener` to ignore these events.
  Returns:
    The number of bytes written.
  See Also:
    `NullEscherSerializationListener`

### getRecordSize

    public int getRecordSize()

  Returns the number of bytes that are required to serialize this record.

  Specified by:
    `getRecordSize` in class `EscherRecord`
  Returns:
    Number of bytes

### getRecordId

    public short getRecordId()

  The record id for the EscherChildAnchorRecord.

  Overrides:
    `getRecordId` in class `EscherRecord`
  Returns:
    The 16 bit record id.

### getRecordName

    public java.lang.String getRecordName()

  The short name for this record

  Specified by:
    `getRecordName` in class `EscherRecord`

### toString

    public java.lang.String toString()

  The string representation of this record

### getDx1

    public int getDx1()

  Retrieves offset within the parent coordinate space for the top left point.

### setDx1

    public void setDx1(int field_1_dx1)

  Sets offset within the parent coordinate space for the top left point.

### getDy1

    public int getDy1()

  Gets offset within the parent coordinate space for the top left point.

### setDy1

    public void setDy1(int field_2_dy1)

  Sets offset within the parent coordinate space for the top left point.

### getDx2

    public int getDx2()

  Retrieves offset within the parent coordinate space for the bottom right point.

### setDx2

    public void setDx2(int field_3_dx2)

  Sets offset within the parent coordinate space for the bottom right point.

### getDy2

    public int getDy2()

  Gets the offset within the parent coordinate space for the bottom right point.

### setDy2

    public void setDy2(int field_4_dy2)

  Sets the offset within the parent coordinate space for the bottom right point.

Copyright © 2003 Apache Software Foundation.